Skip to navigation

Update a link

View as Markdown
Update a payment link.

Authentication

x-api-keystring

Account API key used to authenticate server-side requests. Use the credentials issued for the same environment as the API base URL.

Path parameters

idstringRequired
Unique identifier of the resource.

Request

This endpoint expects an object.
descriptionstringOptional<=2000 characters
referencestringOptional<=255 characters
expires_atdatetimeOptional
metadatamap from strings to stringsOptional

Response

Payment link updated successfully.
messagestring
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error